> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves all events associated with a specific client.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /clients/{id}/events
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /clients/{id}/events:
    get:
      tags:
        - Client
      summary: Retrieves all events associated with a specific client.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the client.
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Successfully retrieved the client events.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientEvent'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientEvent'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientEvent'
        '404':
          description: Client not found.
components:
  schemas:
    ClientEvent:
      type: object
      properties:
        id:
          type: integer
          format: int32
        startDate:
          type: string
          format: date-time
        type:
          $ref: '#/components/schemas/EventType'
        description:
          type: string
          nullable: true
        clientId:
          type: integer
          format: int32
      additionalProperties: false
    EventType:
      enum:
        - 1
        - 2
      type: integer
      format: int32

````